
Figure - Bug #118705
IOVDEV-33613【内部】【VC1】【0106】【台架】【EE环境】【副屏】【蓝牙】副屏在与连接过的蓝牙耳机
进行连接时，先连接一个耳机设备，在与另一个华为耳机设备进行连接时，点击之前的历史列表中的华为设备
名称显示正在连接，再激活华为蓝牙耳机，会出现连接在断开的情况，音乐也无法播放
2023-06-09 11:45 - CD TEST-方永红

Status: NEED_INFO Start date: 2023-06-09

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version: 0136

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230608 17：16

【前提条件】：副屏与中控断开连接，蓝牙耳机设备已连接过

【操作步骤】

1.打开副屏蓝牙

2.激活安卓蓝牙设备，连接配对

3.点击历史列表里的华为蓝牙耳机设备名称

4.激活华为蓝牙耳机

【实际结果】

1.华为耳机有连接动作，但还会断开，音乐也无法播放

【期望结果】

1.正常连接耳机，只有第二个连接的耳机才能接受到音乐

【备注】：

偶现问题 第一次遇到

第302次开机

开机时长：

蓝牙设备型号：安卓蓝牙耳机设备

华为耳机HUAWEI FreeBuds 4E

日志、视频地址：https://ofs.human-horizons.com/#/download/index/jzWR9fNjIjI%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0088.c103.02_NO

【副屏版本号】：01.00.0106.c104

History

#1 - 2023-06-09 11:46 - CD TEST-方永红
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118705

#2 - 2023-06-12 18:24 - 短距组_SSRDCNJ 蒋俊杰

当前进展：

测试场景：先点击华为耳机连接，再去连i12耳机，华为耳机连接过程中出现了Page Timeout，然后副屏和i12耳机连接成功，紧接着测试机又连上了华为

耳机，但是ACL断开了，具体的断开原因需要进一步确认

设备信息：HUAWEI FreeBuds 4E，0x98-b3-ef-90-22-03

//0x98-b3-ef-90-22-03

175    Command    0x0405    Create_Connection                        13    17     00:00:00.188161    2023/6/8 17:17:06.775533    

176    Event    0x0405    Create_Connection    Command Status    Success                4    7     00:00:00.006104    2023/6/8 17:17:06.781637

    362    Event            Connection Complete    Page Timeout    0x0003            11    14     00:00:02.575170    2023/6/8 17:17:13.322067

//0x98-b3-ef-90-22-03

371    Command    0x0405    Create_Connection                        13    17     00:00:00.006858    2023/6/8 17:17:13.333232    

372    Event    0x0405    Create_Connection    Command Status    Success                4    7     00:00:00.002956    2023/6/8 17:17:13.336188    

373    Event            Connection Complete    Page Timeout    0x0003            11    14     00:00:05.169696    2023/6/8 17:17:18.505884

//0x34-9f-f4-45-0f-aa    

381    Command    0x0405    Create_Connection                        13    17     00:00:00.008636    2023/6/8 17:17:18.518376    

382    Event    0x0405    Create_Connection    Command Status    Success                4    7     00:00:00.002785    2023/6/8 17:17:18.521161    

383    Event            Connection Complete    Success    0x0003            11    14     00:00:01.584478    2023/6/8 17:17:20.105639

//0x98-b3-ef-90-22-03    

586    Command    0x0405    Create_Connection                        13    17     00:00:00.004522    2023/6/8 17:17:20.416121    

587    Event    0x0405    Create_Connection    Command Status    Success                4    7     00:00:00.000990    2023/6/8 17:17:20.417111    

643    Event            Connection Complete    Success    0x0004            11    14     00:00:04.073527    2023/6/8 17:17:25.448090

984    ACL Data                    0x0004    Available Host's ACL credits: 6    First    12    17     00:00:00.000136    2023/6/8 17:17:32.112426    

986    ACL Data                    0x0004    Available Controller's ACL credits: -115    First    12    17     00:00:00.023977    2023/6/8 17:17:32.145075

1,000    Event            Disconnection Complete    Success    0x0004            4    7     00:00:00.411106    2023/6/8 17:17:32.906614

#3 - 2023-06-13 20:01 - CD LC 陶洪普

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CD TEST-方永红

已转到JIRA

#4 - 2023-06-14 17:28 - 短距组_SSRDCNJ 蒋俊杰

当前进展：

结合HCI和android日志，用户先点击华为耳机再点击i12耳机进行连接，华为耳机先连但是连接过程中发生了Page timeout，这个需要结合空中包进一步确

认原因；然后连上i12耳机后，华为耳机又回连并成功，但是紧接着华为耳机又断开了，L2CAP收到了Disconnect请求，这个具体的原因也是需要结合空中

包进一步确认

//连上i12耳机

06-08 17:17:20.283  7319  7351 D BluetoothActiveDeviceManager: handleMessage(MESSAGE_HFP_ACTION_CONNECTION_STATE_CHANGED): device

34:9F:F4:45:0F:AA connected

06-08 17:17:20.283  7319  7351 D BluetoothActiveDeviceManager: setHfpActiveDevice(34:9F:F4:45:0F:AA)

06-08 17:17:20.283  7319  7351 D BluetoothActiveDeviceManager: handleMessage(MESSAGE_HFP_ACTION_CONNECTION_STATE_CHANGED): device

34:9F:F4:45:0F:AA connected
06-08 17:17:20.418  7319  7351 D BluetoothActiveDeviceManager: setA2dpActiveDevice(34:9F:F4:45:0F:AA)

//连上华为耳机

06-08 17:17:31.991  7319  7351 D BluetoothActiveDeviceManager: handleMessage(MESSAGE_A2DP_ACTION_CONNECTION_STATE_CHANGED): device

98:B3:EF:90:22:03 connected

06-08 17:17:32.026  7319  7351 D BluetoothActiveDeviceManager: set mA2dpActiveDevice to 98:B3:EF:90:22:03

//L2CAP disconnect

06-08 17:17:32.101  7319  7376 I bt_l2cap: L2CAP - LCID: 0x0051  st: OPEN  evt: PEER_DISCONNECT_REQ

06-08 17:17:32.101  7319  7376 I bt_l2cap: L2CAP - Calling Disconnect_Ind_Cb(), CID: 0x0051  Conf Needed

06-08 17:17:32.101  7319  7376 W bt_l2cap: L2CA_DisconnectRsp()  CID: 0x0051

//华为耳机断开

06-08 17:17:32.928  7319  7351 D BluetoothActiveDeviceManager: handleMessage(MESSAGE_A2DP_ACTION_CONNECTION_STATE_CHANGED): device

98:B3:EF:90:22:03 disconnected

06-08 17:17:32.929  7319  7351 D BluetoothActiveDeviceManager: setA2dpActiveDevice(null)

06-08 17:17:32.958  7319  7351 D BluetoothActiveDeviceManager: handleMessage(MESSAGE_HFP_ACTION_ACTIVE_DEVICE_CHANGED): device= null

06-08 17:17:32.958  7319  7351 D BluetoothActiveDeviceManager: set mHfpActiveDevice to null

下一步：

建议测试帮忙复测提供完整的log，android日志+HCI日志+空中包+问题时间点录屏

#5 - 2023-08-01 15:55 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#6 - 2023-08-01 17:06 - 物联网测试组_TSCD 王维

【复验结果】未复现，已连接过的蓝牙耳机均可以正常复联，未出现上述情况

【复验版本】0801DB

【复验环境】使用AirPods和漫步者蓝牙耳机

【复验步骤】按复现步骤执行

【复验次数】40次

#7 - 2023-08-23 13:48 - 物联网测试组_TSCD 王维

- Verified Version set to 0136

【复验结果】未复现，已连接过的蓝牙耳机均可以正常复联，未出现上述情况

【复验版本】0136

【复验环境】使用漫步者蓝牙耳机

【复验步骤】按复现步骤执行

【复验次数】30次

#8 - 2023-08-24 19:11 - 物联网测试组_TSCD 王维

- Priority changed from High to Normal

0138版本未复现，已在3个版本未复现该现象；降低bug等级；后续在跟踪2个版本
